QStrIList(3qt)

NAME
QStrIList - Doubly linked list of

#include <qstrlist.h>

Inherits QStrList.

  Public Members
QStrIList ( bool deepCopies=TRUE )
~QStrIList ()

DESCRIPTION
The QStrIList class provides a doubly linked list of char* with case insensitive compare.

This class is a QList<char> instance (a list of char*).

QStrIList is similar to QStrList except that it is case insensitive. The virtual compareItems() function is reimplemented and does a case insensitive string comparison. The inSort() function will insert strings in a sorted order.

The QStrListIterator class is an iterator for QStrList.

MEMBER FUNCTION DOCUMENTATION

QStrIList::QStrIList ( bool deepCopies=TRUE )
Constructs a list of strings. Will make deep copies of all inserted strings if deepCopies is TRUE, or uses shallow copies if deepCopies is FALSE.

QStrIList::~QStrIList ()
Destroys the list. All strings are removed.

SEE ALSO
http://doc.trolltech.com/qstrilist.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qstrilist.3qt) and the Qt version (2.3.3).